APICRMDealsUpdate Deal
Update Deal
Partially update a CRM deal. Only fields present in the body are changed. Moving a deal into a won stage requires an amount (recurringAmount for recurring deals), otherwise 400 with the missing field. Changing dealStage runs deal_stage_changed CRM workflows. Returns the updated deal.
Created: September 16, 2026
Updated: September 16, 2026
Overview
PUT
https://dashboard.vinsi.ai/api/crm/deals/{dealId}
Request
Headers
Content-Typestring
x-api-keystring
Params
dealIdstring
Example: 77
Request Body
{3 items
"dealStage":string"Closed Won"
"amount":int12000
"closeDate":string"2026-09-16"
}
Response
{17 items
"id":int77
"organizationId":string"cmexampleorg00000000000001"
"dealName":string"Acme Dental - Annual Plan"
"pipeline":string"Sales Pipeline"
"dealStage":string"Closed Won"
"amount":int12000
"closeDate":string"2026-09-16T00:00:00.000Z"
"dealOwnerId":string"cmexampleuser0000000000001"
"dealType":string"New Business"
"priority":string"High"
"contactId":int1042
"companyId":int318
"createdAt":string"2026-09-05T16:00:00.000Z"
"updatedAt":string"2026-09-16T16:40:00.000Z"
"type":string"one-time"
"billingFrequency":null
"recurringAmount":null
}
Endpoint Explorer
Note: You must be already authenticated on https://dashboard.vinsi.ai/ to use this API tester.
PUT
Headers
Content-Type: *
x-api-key: *
Params
dealId: *
Response
No response yet. Click Send to test the API.